import Vue from 'vue'
import App from './App'
import storge from 'utils/storge.js'
// vuex
import store from './store'
import '@/common/pc.js'
// 引入全局uView
import uView from '@/uni_modules/uview-ui'
import {
	post
} from 'utils/request.post.js'
import mixin from './common/mixin'

Vue.prototype.$store = store

Vue.config.productionTip = false
Vue.prototype.$post = post;
Vue.prototype.$storge = storge;
App.mpType = 'app'
Vue.use(uView)
Vue.prototype.$toast = function(msg, callback = false) {
	uni.showToast({
		icon: 'none',
		title: msg,
	})
	if (callback !== false) {
		setTimeout(() => {
			callback()
		}, 2000)
	}
}
// #ifdef MP
// 引入uView对小程序分享的mixin封装
const mpShare = require('@/uni_modules/uview-ui/libs/mixin/mpShare.js')
Vue.mixin(mpShare)
// #endif

Vue.mixin(mixin)

const app = new Vue({
    store,
    ...App
})

// // 引入请求封装
require('./util/request/index')(app)

app.$mount()
